<div class="wrapper">
    <app-header (toggleMenuSidebar)="toggleMenuSidebar()" (toggleCustomSidebar)="toggleCustomSidebar()"
        (openProfile)="openProfile()"></app-header>

    <app-menu-sidebar (mainSidebarHeight)="mainSidebarHeight($event)"></app-menu-sidebar>

    <div #contentWrapper class="content-wrapper"
            [@architectUIAnimation]="o.isActivated ? o.activatedRoute : ''">
        <router-outlet #o="outlet"></router-outlet>
    </div>

    <app-footer></app-footer>

    <div id="sidebar-overlay" (click)="toggleMenuSidebar()"></div>

    <app-profile #profile></app-profile>
</div>